.pswp__bg { opacity: .85!important; }
.pswp__top-bar, .pswp__caption { display: none; }
.woocommerce a.reset_variations { margin-left: 10px; }

/* Cart page */
.woocommerce .cart td.actions .coupon { display: flex; }
.woocommerce .cart td.actions .input-text { width: 100%; border: 2px solid var(--accent); margin-right: 10px; }
.woocommerce-cart table.cart td.actions .coupon .input-text { width: 100%; margin-right: 10px; border: 2px solid var(--accent); }
.woocommerce table.shop_table td { line-height: 1; }

/* Single product */
.woocommerce .star-rating, .woocommerce-breadcrumb, h1.woocommerce-products-header__title.page-title { display: none !important; }
.woocommerce ul.products { margin: 0; list-style: none; text-align: center;}
.woocommerce button { margin-top: 20px; }
.woocommerce button.single_add_to_cart_button { margin-top: 20px; }
.woocommerce .woocommerce-product-details__short-description {font-size: 22px; margin-bottom: 42px;}
.woocommerce h3:after, .woocommerce ul.products li.product .button { display: none; }
.woocommerce .custom-product-page .woocommerce-Price-amount.amount { font-size: 20px; font-weight: bold; }
.woocommerce-variation-add-to-cart { margin-top: 20px; }
/* Background and layout */
.woocommerce-product-gallery { display: flex;  flex-direction: row-reverse;  grid-gap: 20px; }

/* Price and title styles */
.woocommerce .entry-title {margin-bottom: 55px;}
.woocommerce-Price-amount.amount {  font-size: 16px;  font-weight: bold;  color: var(--main); }
h2.woocommerce-loop-product__title, .woocommerce ul.products li.product .woocommerce-loop-product__title { color: var(--accent); font-size: 18px; font-weight: bold; width: 80%; margin: auto;}
h2.woocommerce-loop-product__title:hover { color: var(--accent); }
.related.products h2, h2.woocommerce-loop-category__title { text-transform: none; font-size: 26px;}
.woocommerce-loop-category__title .count {display:none;}

/* Navigation and breadcrumb styles */
.woocommerce ul { margin: 0 0 0 3rem; }
nav.woocommerce-MyAccount-navigation ul { list-style: none;  display: flex;  flex-direction: column; grid-gap: 13px; margin: 0; align-items: end; border-right: 1.5px solid rgba(196, 176, 133, 0.4);  padding-right: 1rem; }
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) .woocommerce-breadcrumb { text-transform: uppercase; font-size: 12px; letter-spacing: 0.5px; position: relative; top: 20px; color: var(--main)!important; padding-bottom: 20px; }

/* Product gallery layout */
.woocommerce .custom-product-page { display: grid; grid-gap: 40px;  grid-template-columns: 2fr 3fr; }
.woocommerce .product-gallery ol { list-style: none; margin: 0; display: flex; flex-direction: column; min-width: 100px;  grid-gap: 10px; }
.woocommerce .product-gallery ol li { min-width: 100px; }

/* Shop Menu */
.menu-shop-menu-container ul { list-style: none; display: flex; justify-content: center; margin: 0; align-items: center; margin-left: auto; margin-right: auto; flex-wrap: wrap;grid-gap: 20px; }
.menu-shop-menu-container ul li a  { letter-spacing: 1px; font-size: 13px; font-weight: 700; text-transform: uppercase; padding: 9px 17px; background-color: var(--white);}
.shop-categories {  letter-spacing: 1px; font-size: 13px; font-weight: 700; text-transform: uppercase; min-width: 150px; padding: 9px 17px; background-color: white; }
.menu-shop-menu-container li a:hover, .menu-shop-menu-container li a:focus, .menu-shop-menu-container li a:active { color: var(--main); }
.portfolio-details:first-of-type { margin-top: 30px; }

/* Button styles */
.woocommerce button.button, .woocommerce a.button, .woocommerce input.button { padding: 10px 20px; border-radius: 2px; font-size: 15px; background-color: var(--accent); color: var(--main); transition: background-color 0.3s, color 0.3s; /* Smooth transition for hover effects */ }
.woocommerce button.button:hover, .woocommerce a.button:hover, .woocommerce input.button:hover { background-color: var(--main); color: var(--accent); }
.woocommerce button.category-button { color: var(--accent); }
.woocommerce button.category-button:hover { color: var(--main); }
a.category-button { border: solid white 3px;}
a.category-button.button-selected, button.category-button.button-selected { color: var(--main); }

/* Additional button states */
.woocommerce button.single_add_to_cart_button, 
.woocommerce button.button.alt, .woocommerce a.button.alt, .woocommerce input.button.alt { background-color: var(--accent); color: var(--main); }

.woocommerce button.single_add_to_cart_button:hover, .woocommerce button.button.alt:hover, .woocommerce a.button.alt:hover, .woocommerce input.button.alt:hover { background-color: var(--main); color: var(--accent); }

/* Disabled button styles */
.woocommerce button.button.alt.disabled, 
.woocommerce button.button.alt.disabled:hover { background-color: var(--light); color: var(--main); padding: 10px 20px !important; }

/* Media Queries */
@media only screen and (max-width: 768px) {
    .woocommerce .custom-product-page { grid-template-columns: 1fr; }
}
